Name:           perl-RT-Authen-ExternalAuth
Version:        0.08
Release:        2%{?dist}
Summary:        RT Authentication using External Sources
License:        GPLv2+
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/RT-Authen-ExternalAuth/
Source0:        http://www.cpan.org/modules/by-module/RT/RT-Authen-ExternalAuth-%{version}.tar.gz
# Patch for CVE-2012-2770
# http://download.bestpractical.com/pub/rt/release/rt-authen-externalauth-0.08.patch
Patch0:         perl-RT-Authen-ExternalAuth-0.08-CVE-2012-2770.patch 
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  rt3
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Net::LDAP)
Requires:       rt3
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
A complete package for adding external authentication mechanisms to RT. It
currently supports LDAP via Net::LDAP and External Database authentication
for any database with an installed DBI driver.

%prep
%setup -q -n RT-Authen-ExternalAuth-%{version}
%patch0 -p4
sed -i -e 's/\r//' lib/RT/Authen/ExternalAuth/DBI.pm
sed -i -e 's/\r//' lib/RT/Authen/ExternalAuth/LDAP.pm
chmod a-x ChangeLog LICENSE README html/Callbacks/ExternalAuth/autohandler/Auth
find . -name *.pm -exec chmod a-x {} ';'

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

install -d -m 755 $RPM_BUILD_ROOT/%{_datadir}/rt3/html
cp -r html/* $RPM_BUILD_ROOT/%{_datadir}/rt3/html/

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc ChangeLog LICENSE README etc/RT_SiteConfig.pm
%{perl_vendorlib}/*
%{_mandir}/man3/*
%{_datadir}/rt3/html/*


%changelog
* Mon Jul 30 2012 Xavier Bachelot <xavier@bachelot.org> 0.08-2
- Add patch for CVE-2012-2770.

* Tue May 15 2012 Xavier Bachelot <xavier@bachelot.org> 0.08-1
- Initial EL5 import.
